nickelnoff
Contributor
Contributor

Unable to boot following VSphere ESX 6.7 to 7.01 upgrade

I am trying to upgrade my home lab which consist of a single VSphere ESXi 6.7 Server with a VCSA hosted on it along with other VMs.

I tried the following:

  • upgraded the VCSA from 6.7 to 7 which worked ok. 
  • took a disk image backup of the ESXi USB drive using the dd image approach as per this post.
  • shutdown all the VM's including the VCSA.
  • downloaded the following offline bundle from here :

          VMware-VMvisor-Installer-7.0.0.update01-16850804.x86_64-DellEMC_Customized-A00.zip

  • I copied the this zip up to the VSphere Datastore
  • Tried to run an upgrade as per KB 2008939 
  • This did not work however working through KB 56145 and adjusting the profile I then managed to move forward.
  • Two incompatibilities were detected:

VIB INT_bootbank_intel_ssd_data_center_tool_3.0.23-400 requires esx-version <= 7.0.0, but the requirement cannot be satisfied within the ImageProfile.
VIB Dell_bootbank_dcism_3.6.0.ESXi6-2249 requires esx-version << 6.8.0, but the requirement cannot be satisfied within the ImageProfile.

  • I removed both of these VIBs and then tried the upgrade again using the following type of command:

     esxcli software profile update - p <profile name> -d <location of ZIP file> 

  • This worked ok however on reboot ESXi would not complete booting it only got to the screen about 4/5 complete where the following remain on the screen:

     vfat loaded succesfully

  • I tried booting a few further times however each time progress on go to this point.
  • Subsequently the progress in the boot stopped earlier and only the following was shown:

     vmware hypervisor recovery

     no hypervisor found 

At this point I then restored to VSphere ESXi using the backup successfully. I want to rerun this upgrade however unsure of what I might have done wrong and how to get this to work successfully.

 

 

 

 

 

0 Kudos
1 Reply
Ferozrah
VMware Employee
VMware Employee

Hi,

Greetings.

Could you please let me know what is make and model of host.

Also I would suggest to make use of VMware-VMvisor-Installer-7.0.0.update01-17325551.x86_64-DellEMC_Customized-A01.iso if the host is compatible with ESXi 7.0.

Download link for ESXi: https://my.vmware.com/en/web/vmware/downloads/details?downloadGroup=OEM-ESXI70U1-DELLEMC&productId=9...

To check compatibility: https://www.vmware.com/resources/compatibility/search.php

Thank you.

Best

Feroz Rah

0 Kudos